Altibase.jdbc.driver

## Class AltibaseFailoverCallbackDummy

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseFailoverCallbackDummy

All Implemented Interfaces:
  AltibaseFailoverCallback

    public class AltibaseFailoverCallbackDummy
    extends java.lang.Object
    implements AltibaseFailoverCallback

### Nested Class Summary

### Nested classes/interfaces inherited from interface Altibase.jdbc.driver.AltibaseFailoverCallback

`AltibaseFailoverCallback.Event, AltibaseFailoverCallback.FailoverValidation, AltibaseFailoverCallback.Result`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseFailoverCallbackDummy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `failoverCallback(java.sql.Connection aConnection, java.lang.Object aAppContext, int aFailoverEvent)`
`void` `logFailoverEvent(java.lang.String aMsg, AltibaseConnection aCon)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AltibaseFailoverCallbackDummy

    public AltibaseFailoverCallbackDummy()

### Method Detail

#### failoverCallback

    public int failoverCallback(java.sql.Connection aConnection,
                                java.lang.Object aAppContext,
                                int aFailoverEvent)

Specified by:
  `failoverCallback` in interface `AltibaseFailoverCallback`

#### logFailoverEvent

    public void logFailoverEvent(java.lang.String aMsg,
                                 AltibaseConnection aCon)